package gov.va.med.esr.common.builder.msds;

import gov.va.med.esr.common.builder.entity.MilitaryServiceMetaData;
import gov.va.med.esr.common.builder.entity.ActivationMetaData;
import gov.va.med.esr.common.builder.entity.CombatServiceMetaData;
import gov.va.med.esr.common.builder.entity.CombatEpisodeMetaData;

/**
 * Extensions for collecting MSDS data
 * 
 * @author DNS   ruizc
 *
 */
public interface MilitaryServiceMetaDataMSDS extends MilitaryServiceMetaData {
	public ActivationMetaData[] getActivations();
	public CombatServiceMetaData[] getCombatServices();
	public CombatEpisodeMetaData[] getCombatEpisodes();	
	public String getMetaDataError();
}
